## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         reponame    aws-iot-device-sdk-python-v2
%global         srcname     awsiotsdk

Name:           python-%{srcname}
Version:        1.22.0
Release:        %autorelease
Summary:        AWS IoT SDK based on the AWS Common Runtime

License:        Apache-2.0
URL:            https://github.com/aws/aws-iot-device-sdk-python-v2
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# Add a license file.
# https://github.com/major/aws-iot-device-sdk-python-v2/pull/2
Source1:        LICENSE

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(boto3)
BuildRequires:  python3dist(pytest)
%endif


%global _description %{expand:
Next generation AWS IoT Client SDK for Python using the AWS Common Runtime.}


%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{reponame}-%{version}

# Add license file.
cp %SOURCE1 .

# Allow an older awscrt.
sed "s/'awscrt==[0-9\.]*'/'awscrt'/" -i setup.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files awsiot


%check
%pyproject_check_import

%if %{with tests}
%pytest --ignore=test/test_rpc.py --ignore-glob=servicetests/test_cases/*
%endif


%files -n python3-%{srcname} -f %{pyproject_files}


%changelog
## START: Generated by rpmautospec
* Tue Jul 23 2024 Packit <hello@packit.dev> - 1.22.0-1
- Update to 1.22.0 upstream release
- Resolves: rhbz#2297807

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1.21.5-2
- Rebuilt for Python 3.13

* Wed May 22 2024 Packit <hello@packit.dev> - 1.21.5-1
- Update to 1.21.5 upstream release
- Resolves: rhbz#2282793

* Tue Apr 16 2024 Packit <hello@packit.dev> - 1.21.4-1
- Update to 1.21.4 upstream release
- Resolves: rhbz#2275312

* Thu Mar 21 2024 Major Hayden <major@redhat.com> - 1.21.1-1
- Update to 1.21.1 rhbz#2267109

* Thu Feb 01 2024 Major Hayden <major@redhat.com> - 1.21.0-1
- Update to 1.21.0 rhbz#2254603

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 15 2023 Major Hayden <major@redhat.com> - 1.20.0-1
- Update to 1.20.0 rhbz#2254603

* Fri Dec 15 2023 Major Hayden <major@redhat.com> - 1.19.0-3
- Expand packit config

* Tue Aug 29 2023 Major Hayden <major@redhat.com> - 1.19.0-2
- Update packit config

* Mon Aug 28 2023 Packit <hello@packit.dev> - 1.19.0-1
- [packit] 1.19.0 upstream release

* Mon Aug 14 2023 Major Hayden <major@redhat.com> - 1.18.0-1
- Update to 1.18.0

* Mon Aug 14 2023 Major Hayden <major@redhat.com> - 1.17.0-5
- Remove awscrt version restriction

* Fri Jul 28 2023 Major Hayden <major@redhat.com> - 1.17.0-4
- Remove minimum awscrt version

* Fri Jul 28 2023 Major Hayden <major@redhat.com> - 1.17.0-3
- Bump revision number

* Fri Jul 28 2023 Major Hayden <major@redhat.com> - 1.17.0-2
- Use GitHub for source

* Fri Jul 28 2023 Major Hayden <major@redhat.com> - 1.17.0-1
- Update to 1.17.0

* Tue Jul 25 2023 Major Hayden <major@redhat.com> - 1.16.0-2
- Allow slightly older awscrt for F38

* Tue Jul 25 2023 Major Hayden <major@redhat.com> - 1.16.0-1
- Update to 1.16.0

* Tue Jul 25 2023 Major Hayden <major@redhat.com> - 1.15.4-4
- Add packit config

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 03 2023 Major Hayden <major@redhat.com> - 1.15.4-2
- Add license file:

* Mon Jul 03 2023 Major Hayden <major@redhat.com> - 1.15.4-1
- Initial import rhbz#2218331
## END: Generated by rpmautospec
